Quantcast

Request new buildbot-slave package (FAO Jon Turney)

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Request new buildbot-slave package (FAO Jon Turney)

Adam Dinwoodie-2
Hi Jon,

I see you're the maintainer of buildbot-slave. Would it be possible to
get an updated version of this? The current version packaged for
Cygwin, 0.8.12, was released in April 2015; the latest version, 0.9.6,
was released April 2017.

Cheers,

Adam

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Request new buildbot-slave package (FAO Jon Turney)

Jon TURNEY
On 10/05/2017 18:10, Adam Dinwoodie wrote:
> I see you're the maintainer of buildbot-slave. Would it be possible to
> get an updated version of this? The current version packaged for
> Cygwin, 0.8.12, was released in April 2015; the latest version, 0.9.6,
> was released April 2017.

Sure, I'll take a look at doing that.


--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Request new buildbot-slave package (FAO Jon Turney)

Jon TURNEY
On 10/05/17 19:01, Jon Turney wrote:
> On 10/05/2017 18:10, Adam Dinwoodie wrote:
>> I see you're the maintainer of buildbot-slave. Would it be possible to
>> get an updated version of this? The current version packaged for
>> Cygwin, 0.8.12, was released in April 2015; the latest version, 0.9.6,
>> was released April 2017.
>
> Sure, I'll take a look at doing that.

I just uploaded buildbot-worker 0.9.7-1 (note the change in package name).

It's a bit awkward for me to upgrade to a compatible buildbot-master
right now, so I haven't been able to test it much, so please let me know
if there are any problems.


--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Request new buildbot-slave package (FAO Jon Turney)

Adam Dinwoodie-2
On 12 May 2017 at 17:00, Jon Turney wrote:

> On 10/05/17 19:01, Jon Turney wrote:
>>
>> On 10/05/2017 18:10, Adam Dinwoodie wrote:
>>>
>>> I see you're the maintainer of buildbot-slave. Would it be possible to
>>> get an updated version of this? The current version packaged for
>>> Cygwin, 0.8.12, was released in April 2015; the latest version, 0.9.6,
>>> was released April 2017.
>>
>>
>> Sure, I'll take a look at doing that.
>
>
> I just uploaded buildbot-worker 0.9.7-1 (note the change in package name).
>
> It's a bit awkward for me to upgrade to a compatible buildbot-master right
> now, so I haven't been able to test it much, so please let me know if there
> are any problems.

Fantastic, thank you!

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Request new buildbot-slave package (FAO Jon Turney)

Adam Dinwoodie-2
In reply to this post by Jon TURNEY
On Fri, May 12, 2017 at 05:00:54PM +0100, Jon Turney wrote:

> On 10/05/17 19:01, Jon Turney wrote:
> >On 10/05/2017 18:10, Adam Dinwoodie wrote:
> >>I see you're the maintainer of buildbot-slave. Would it be possible to
> >>get an updated version of this? The current version packaged for
> >>Cygwin, 0.8.12, was released in April 2015; the latest version, 0.9.6,
> >>was released April 2017.
> >
> >Sure, I'll take a look at doing that.
>
> I just uploaded buildbot-worker 0.9.7-1 (note the change in package name).

would it be worth marking the new buildbot-worker as obsoleting the old
buildbot-slave?

> It's a bit awkward for me to upgrade to a compatible buildbot-master right
> now, so I haven't been able to test it much, so please let me know if there
> are any problems.

Just to confirm I appear to have it working now.  Attempting to get
buildbot-master to work on Cygwin failed miserably, but I have a
basically working automated build server for the Cygwin Git package
being mastered from a CentOS VM.

I've at least vague intentions of writing up the process of getting this
running, if that'd interest folk, once I have the build server
competently running tests and checking results and so forth. I can't be
the only person who'd like to automate the Cygwin package maintainer
processes more.

Thanks again!

Adam

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Request new buildbot-slave package (FAO Jon Turney)

Jon TURNEY
On 17/05/2017 10:27, Adam Dinwoodie wrote:

> On Fri, May 12, 2017 at 05:00:54PM +0100, Jon Turney wrote:
>> On 10/05/17 19:01, Jon Turney wrote:
>>> On 10/05/2017 18:10, Adam Dinwoodie wrote:
>>>> I see you're the maintainer of buildbot-slave. Would it be possible to
>>>> get an updated version of this? The current version packaged for
>>>> Cygwin, 0.8.12, was released in April 2015; the latest version, 0.9.6,
>>>> was released April 2017.
>>>
>>> Sure, I'll take a look at doing that.
>>
>> I just uploaded buildbot-worker 0.9.7-1 (note the change in package name).
>
> would it be worth marking the new buildbot-worker as obsoleting the old
> buildbot-slave?

I thought about this, but deliberately didn't.

They are parallel-installable (due to the name change).

Given the incompatibility with buildbot-master 0.8.x, making it harder
for people to install buildbot-slave 0.8.12-1 is just mean.

>> It's a bit awkward for me to upgrade to a compatible buildbot-master right
>> now, so I haven't been able to test it much, so please let me know if there
>> are any problems.
>
> Just to confirm I appear to have it working now.  Attempting to get

Thanks for testing :)

> buildbot-master to work on Cygwin failed miserably, but I have a

I can't remember if there were issues with buildbot-master when I first
looked at packaging this (I guess so), but it didn't seem terribly
useful at the time.  Perhaps that needs looking at again....


--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

Loading...